#include "pcr3bp.h"

// ########################################################################
// Proof of:  H_1 -> H_1 -> H_1^2 -> H11
// and computation of DP on H_1

void checkConeConditionL1(PMap& pm)
{
  checkCovering(pm,H11,H11,"H11=>H11",2);
  checkCovering(pm,H11,H12,"H11=>H12",2);
  checkCovering(pm,H12,H11,"H12=>H11",2);
  
  checkConeCondition(pm,H11,"H1");
}

// ########################################################################
// Proof of:  H_2^2 -> H_2 -> H_2
// and compution of DP on H_2
void checkConeConditionL2(PMap& pm)
{
  checkCovering(pm,H22,H21,"H22=H21",2);
  checkCovering(pm,H21,H21,"H21=H21",2);

  checkConeCondition(pm,H21,"H2");
}
