#ifndef __MAIN_H__
#define __MAIN_H__
#include <iostream>
#include <fstream>
#include <sstream>
#include <string>

#include "capd/capdlib.h"
#include "capd/covrel/TripleSet.h"

#define CAPD_USER_NAMESPACE capd2
#define CAPD_DEFAULT_DIMENSION 2
        #include "capd/fdcapdlib.h"
#undef CAPD_USER_NAMESPACE
#undef CAPD_DEFAULT_DIMENSION

#define CAPD_USER_NAMESPACE capd4
#define CAPD_DEFAULT_DIMENSION 4
        #include "capd/fdcapdlib.h"
#undef CAPD_USER_NAMESPACE
#undef CAPD_DEFAULT_DIMENSION

using namespace capd2;
using namespace std;
using capd::interval;

struct TripleSet : public capd::covrel::TripleSet{
  TripleSet(){}
  TripleSet(const IVector& a_center, const IVector& a_stable, const IVector& a_unstable, double sign)
    : capd::covrel::TripleSet(a_center,a_stable,a_unstable),
      sign(sign)
  {}
  double sign;
};

#endif
